package com.thecodeexamples.jxls;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import org.jxls.common.Context;
import org.jxls.util.JxlsHelper;

/**
 *
 * @author thecodeexamples
 */
public class JxlsOutput {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws FileNotFoundException, IOException {

        List cars = generateTestCarData();
        File initialFile = new File("input_excel_template.xls");
        try (InputStream is = new FileInputStream(initialFile)) {
            try (OutputStream os = new FileOutputStream("output_excel_template.xls")) {
                Context context = new Context();
                context.putVar("cars", cars);
                JxlsHelper.getInstance().processTemplate(is, os, context);
            }
        }

    }

    public static List<Car> generateTestCarData() {
        return Arrays.asList(new Car("BMW", new BigDecimal("10000")), new Car("Subaru", new BigDecimal("12000")));
    }
}
